%global upstream_name sphinxcontrib-httpdomain

Summary:   Sphinx domain for documenting HTTP APIs
Name:      python-%{upstream_name}
Version:   1.8.1
Release:   3%{?dist}
License:   BSD
URL:       http://packages.python.org/sphinxcontrib-httpdomain/
Source0:   https://files.pythonhosted.org/packages/source/s/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

Patch3000: 0004-httpdomain-bump-domain-data-version.patch

BuildArch: noarch

%description
Using this Sphinx domain you can document your HTTP API. It includes support for generating
documentation from Flask routing tables.

%package -n python3-%{upstream_name}
Summary:       Sphinx domain for documenting HTTP APIs
BuildRequires: python3-devel python3-setuptools
Requires:      python3-sphinx python3-six

%description -n python3-%{upstream_name}
Using this Sphinx domain you can document your HTTP API. It includes support for generating
documentation from Flask routing tables.

%prep
%autosetup -n %{upstream_name}-%{version} -p2
rm -r *.egg-info

%build
%{py3_build}

%install
%{py3_install}

%files -n python3-%{upstream_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.8.1-1
- Upgrade to version 1.8.1

* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 1.8.0-1
- update to 1.8.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 1.7.0-1
- initial build
